Feature: FR-13, FR-19 & FR-20: Property Search and Revisit

    Scenario: User should see filter options and boundaries for search
        Given there exists following accounts
              | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
              | Existing | Account | 2000-01-01 | 000          | existing.account@gmail.com | password | password         |
        And the following properties exist
            | title                  | description                      | type | property_type | state     | location         | room_count | area  | floor | floor_count | price  |
            | Rent property cheap    | This is a really cool property   | rent | apartment     | available | London, UK       | 1          | 90.0  | 2     | 8           | 500    |
            | Rent property          | Also a really cool property      | rent | apartment     | available | London, UK       | 3          | 160.0 | 2     | 5           | 6000   |
            | Rent property Tartu    | Also a really cool property      | rent | apartment     | available | Tartu, Estonia   | 2          | 120.0 | 1     | 2           | 800    |
            | Buy property Tartu     | Also a really cool property      | sell | apartment     | available | Tartu, Estonia   | 2          | 120.0 | 1     | 2           | 800000 |
        And I want to perform a search
        Then I should see all countries of the properties in the filter options
        And I should see all cities of the properties in the filter options
        And I should see a max price filter with the max price of the properties
        And I should see a min price filter with the min price of the properties
        And I should see a max room filter with the room count of the properties
        And I should see a min room filter with the room count of the properties

    Scenario: User should be able to search with default values
        Given there exists following accounts
              | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
              | Existing | Account | 2000-01-01 | 000          | existing.account@gmail.com | password | password         |
        And the following properties exist
            | title                  | description                      | type | property_type | state     | location         | room_count | area  | floor | floor_count | price  |
            | Rent property cheap    | This is a really cool property   | rent | apartment     | available | London, UK       | 1          | 90.0  | 2     | 8           | 500    |
            | Rent property          | Also a really cool property      | rent | apartment     | available | London, UK       | 3          | 160.0 | 2     | 5           | 6000   |
            | Rent property Tartu    | Also a really cool property      | rent | apartment     | available | Tartu, Estonia   | 2          | 120.0 | 1     | 2           | 800    |
            | Buy property Tartu     | Also a really cool property      | sell | apartment     | available | Tartu, Estonia   | 2          | 120.0 | 1     | 2           | 800000 |
        And I want to perform a search
        When I click on the search button
        Then I should see "3" properties
