defmodule PropTrackrWeb.UpdateControllerTest do
  use PropTrackrWeb.ConnCase
  alias PropTrackr.Accounts.User
  alias PropTrackr.Repo

  @user_credentials %{email: "test.user@gmail.com", password: "testing", new_password: "new_password"}

  setup do
    user = %User{
      name: "Test",
      surname: "User",
      birth_date: "2000-01-01",
      phone_number: "000",
      bio: "Yo",
      email: "test.user@gmail.com",
      password: "testing",
      confirm_password: "testing",
    }
    Repo.insert!(user)

    :ok
  end

end
