Scenario: Authenticated user can delete their account
    Given there exists following accounts
            | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
            | Existing | Account | 2000-01-01 | 000          | existing.account@gmail.com | password | password         |
    And I am logged in
    And I navigate to the delete account page
    When I click confirm delete
    Then I should receive a success notification
    And I should be redirected to the homepage
    And my account should no longer exist in the system
    

Scenario: Unauthenticated user attempts to delete account
    Given there exists following accounts
            | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
            | Existing | Account | 2000-01-01 | 000          | existing.account@gmail.com | password | password         |
    And I am not logged in
    When I try to access the delete functionality
    Then I should see an error message
    And I should be redirected to the login page